## golang-github-dcso-fluxline 0.0~git20181026.4f8ed83

=== Makefile ===
## simple makefile to log workflow
.PHONY: all test clean build install

GOFLAGS ?= $(GOFLAGS:)

all: install test


build:
	@go build $(GOFLAGS) ./...

install:
	@go get $(GOFLAGS) ./...

test: install
	@go vet $(GOFLAGS) ./...
	@go test -cover $(GOFLAGS) ./...

bench: install
	@go test -run=NONE -bench=. $(GOFLAGS) ./...

clean:
	@go clean $(GOFLAGS) -i ./...

## EOF

## golang-github-dcso-fluxline 0.0~git20180222.25ae683

=== debian/changelog ===
golang-github-dcso-fluxline (0.0~git20180222.25ae683-1) unstable; urgency=medium

  * Initial release (Closes: #891137)

 -- Sascha Steinbiss <satta@debian.org>  Thu, 22 Feb 2018 16:01:10 +0100

=== debian/control ===
Source: golang-github-dcso-fluxline
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-showmax-go-fqdn-dev
Standards-Version: 4.1.3
Homepage: https://github.com/DCSO/fluxline
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-dcso-fluxline
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-dcso-fluxline.git
XS-Go-Import-Path: github.com/DCSO/fluxline
Testsuite: autopkgtest-pkg-go

Package: golang-github-dcso-fluxline-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-showmax-go-fqdn-dev
Description: Golang library to prepare sets of metrics in InfluxDB's Line Protocol format
 The fluxline library provides an encoder for Golang to prepare sets of
 metrics in InfluxDB's Line Protocol format. As input, structs annotated with
 the 'influx' tag are used, similarly to how the encoding/json module works.

## golang-github-dcso-fluxline 0.0~git20181026.4f8ed83

=== debian/changelog ===
golang-github-dcso-fluxline (0.0~git20181026.4f8ed83-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 26 Nov 2018 20:39:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                golang-any,
                golang-github-showmax-go-fqdn-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/DCSO/fluxline
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-dcso-fluxline
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-dcso-fluxline.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-dcso-fluxline-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/DCSO/fluxline/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-dcso-fluxline 0.0~git20200907.78686e5

=== debian/changelog ===
golang-github-dcso-fluxline (0.0~git20200907.78686e5-4) unstable; urgency=medium

  * Reintroduce watchfile for Git HEAD.
  * Bump Standards-Version.
  * Update copyright date for debian/ directory.
  * Change section to golang.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 03 Apr 2024 12:01:05 +0200

golang-github-dcso-fluxline (0.0~git20200907.78686e5-3) unstable; urgency=medium

  * Remove watchfile.
  * Standards-Version: 4.6.0 (routine-update)

 -- Sascha Steinbiss <satta@debian.org>  Wed, 29 Sep 2021 22:03:45 +0200

golang-github-dcso-fluxline (0.0~git20200907.78686e5-2) unstable; urgency=medium

  * Mark Multi-Arch: foreign (Closes: #982650)
    Thanks to Helmut Grohne for the hint.
  * Bump Standards-Version.
  * Use watchfile version 4.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 22 Feb 2021 09:18:16 +0100

golang-github-dcso-fluxline (0.0~git20200907.78686e5-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 07 Sep 2020 09:02:12 +0200

golang-github-dcso-fluxline (0.0~git20190516.1c6f5a3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Use debhelper 13.
  * Remove unused Files-Excluded from d/copyright.
  * Add Rules-Requires-Root.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 06 Sep 2020 17:17:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: golang-github-dcso-fluxline
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-showmax-go-fqdn-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/DCSO/fluxline
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-dcso-fluxline
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-dcso-fluxline.git
@@ -16,6 +17,7 @@
 
 Package: golang-github-dcso-fluxline-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-github-showmax-go-fqdn-dev

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://github.com/DCSO/fluxline.git HEAD
